<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_InsurancePriceInformation StructType
 * @subpackage Structs
 */
class JP_InsurancePriceInformation extends AbstractStructBase
{
    /**
     * The InsuranceInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_InsuranceInfo
     */
    public $InsuranceInfo;
    /**
     * The Prices
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_Price
     */
    public $Prices;
    /**
     * The BillingOrganization
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_BillingOrganization
     */
    public $BillingOrganization;
    /**
     * Constructor method for JP_InsurancePriceInformation
     * @uses JP_InsurancePriceInformation::setInsuranceInfo()
     * @uses JP_InsurancePriceInformation::setPrices()
     * @uses JP_InsurancePriceInformation::setBillingOrganization()
     * @param \StructType\JP_InsuranceInfo $insuranceInfo
     * @param \ArrayType\ArrayOfJP_Price $prices
     * @param \StructType\JP_BillingOrganization $billingOrganization
     */
    public function __construct(\StructType\JP_InsuranceInfo $insuranceInfo = null, \ArrayType\ArrayOfJP_Price $prices = null, \StructType\JP_BillingOrganization $billingOrganization = null)
    {
        $this
            ->setInsuranceInfo($insuranceInfo)
            ->setPrices($prices)
            ->setBillingOrganization($billingOrganization);
    }
    /**
     * Get InsuranceInfo value
     * @return \StructType\JP_InsuranceInfo|null
     */
    public function getInsuranceInfo()
    {
        return $this->InsuranceInfo;
    }
    /**
     * Set InsuranceInfo value
     * @param \StructType\JP_InsuranceInfo $insuranceInfo
     * @return \StructType\JP_InsurancePriceInformation
     */
    public function setInsuranceInfo(\StructType\JP_InsuranceInfo $insuranceInfo = null)
    {
        $this->InsuranceInfo = $insuranceInfo;
        return $this;
    }
    /**
     * Get Prices value
     * @return \ArrayType\ArrayOfJP_Price|null
     */
    public function getPrices()
    {
        return $this->Prices;
    }
    /**
     * Set Prices value
     * @param \ArrayType\ArrayOfJP_Price $prices
     * @return \StructType\JP_InsurancePriceInformation
     */
    public function setPrices(\ArrayType\ArrayOfJP_Price $prices = null)
    {
        $this->Prices = $prices;
        return $this;
    }
    /**
     * Get BillingOrganization value
     * @return \StructType\JP_BillingOrganization|null
     */
    public function getBillingOrganization()
    {
        return $this->BillingOrganization;
    }
    /**
     * Set BillingOrganization value
     * @param \StructType\JP_BillingOrganization $billingOrganization
     * @return \StructType\JP_InsurancePriceInformation
     */
    public function setBillingOrganization(\StructType\JP_BillingOrganization $billingOrganization = null)
    {
        $this->BillingOrganization = $billingOrganization;
        return $this;
    }
}
